Sign in

Validate

POST https://{organization}.myguper.com/api/register/customer/{person}/pin/validate

Validates a PIN entered by the customer at the POS or storefront. Returns success/failure.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Path parameters

Name Type Description
person * string

Request body

Content-Type: json

{
    "pin": "9663"
}

Responses

{ "valid": true }
Copied to clipboard